%define InstallPrefix /usr/local
%define VGAVersion 1.99
%define VGAVerMajor 1
Name: svgalib4ggi
Version: 0.6beta2
Release: 1
Copyright: MIT
Group: Libraries
Summary: Emulation of SVGAlib with LibGGI.
Requires: libggi
Url: http://www.ggi-project.org/
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Source: ftp://ftp.ggi-project.org/pub/ggi/ggi/2_0_beta_2/svgalib4ggi-0.6.tar.gz

%description
The LibGGI svgalib-wrapper is a library which is source and binary
compatible with svgalib, but instead of hitting VGA hardware directly it
uses LibGGI to access the underlying graphics system. This means that you
can run even binary-only (like Quake I/II) svgalib applications
on any of the large number of targets supported by LibGGI.

The svgalib-wrapper can also be used to compile and run svgalib
applications on non-VGA/Intel/Linux machines.

Svgalib4ggi is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

This package contains all shared run-time SVGAlib libraries.

%package devel
Requires: svgalib4ggi
Group: Development/Libraries
Summary: SVGAlib include and libtool files.

%description devel
The LibGGI svgalib-wrapper is a library which is source and binary
compatible with svgalib, but instead of hitting VGA hardware directly it
uses LibGGI to access the underlying graphics system. This means that you
can run even binary-only (like Quake I/II) svgalib applications
on any of the large number of targets supported by LibGGI.

The svgalib-wrapper can also be used to compile and run svgalib
applications on non-VGA/Intel/Linux machines.

Svgalib4ggi is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

%changelog
* Tue Apr 06 1999 Jaromir Koutek <miri@punknet.cz>
  [svgalib4ggi-0.6-beta2]
  - Using LibGGI 2.0 beta 2 official snapshot
  
* Wed Dec 30 1998 Jaromir Koutek <miri@punknet.cz>
  [svgalib4libggi-0.5-beta1]
  - Using LibGGI 2.0 beta 1 official snapshot
  
* Mon Dec 21 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-CVS-devel-981221]
  - Updated for use in RH Contrib|Net
  
* Sun Dec 13 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-2.0.0-devel-981213]
  - Changes for upcoming libggi 2.0 release
  - ./configure used
  
* Fri Aug 14 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-1.4.0-devel-980814]
  - KGI target is disabled due to bugs in compilation
  - Added fbdev and palemu targets

* Wed Jul  8 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-1.4.0-devel-980707]
  - Changelog started.
  - Added bugfix for svgalib install bug.

%prep
%setup -n svgalib4ggi-0.6

%build
OPTIONS="--prefix=%{InstallPrefix}"
./configure $OPTIONS
make

%install
make install

%post
LDSOCONF=/etc/ld.so.conf
LIBGGIPATH=%{InstallPrefix}/lib
if [ x`grep -c "$LIBGGIPATH" $LDSOCONF` = x0 ]; then
echo "Can't find $LIBGGIPATH in your $LDSOCONF. Adding."
echo -e "\n$LIBGGIPATH" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
LDSOCONF=/etc/ld.so.conf
LIBGGIPATH=%{InstallPrefix}/lib
echo "Warning: uninstall did not remove $LIBGGIPATH in your $LDSOCONF."
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{InstallPrefix}/lib/libvga.so.%{VGAVersion}.ggi
%{InstallPrefix}/lib/libvga.so.%{VGAVerMajor}

%files devel
%{InstallPrefix}/lib/libvga.la
%{InstallPrefix}/lib/libvga.so
%{InstallPrefix}/include/vga.h
%{InstallPrefix}/include/vgakeyboard.h
%{InstallPrefix}/include/vgamouse.h
